

The ext3 version number hasn't been updated since ext3 was merged.

We track it via the kernel release ID.  Remove it.


 fs/ext3/super.c         |   14 ++++++--------
 include/linux/ext3_fs.h |    6 ------
 2 files changed, 6 insertions(+), 14 deletions(-)

diff -puN fs/ext3/super.c~ext3-remove-version fs/ext3/super.c
--- 25/fs/ext3/super.c~ext3-remove-version	2003-06-27 16:30:55.000000000 -0700
+++ 25-akpm/fs/ext3/super.c	2003-06-27 16:33:20.000000000 -0700
@@ -864,19 +864,17 @@ static int ext3_setup_super(struct super
 	ext3_update_dynamic_rev(sb);
 	EXT3_SET_INCOMPAT_FEATURE(sb, EXT3_FEATURE_INCOMPAT_RECOVER);
 
-	ext3_commit_super (sb, es, 1);
-	if (test_opt (sb, DEBUG))
-		printk (KERN_INFO
-			"[EXT3 FS %s, %s, bs=%lu, gc=%lu, "
-			"bpg=%lu, ipg=%lu, mo=%04lx]\n",
-			EXT3FS_VERSION, EXT3FS_DATE, sb->s_blocksize,
+	ext3_commit_super(sb, es, 1);
+	if (test_opt(sb, DEBUG))
+		printk(KERN_INFO "[EXT3 FS bs=%lu, gc=%lu, "
+				"bpg=%lu, ipg=%lu, mo=%04lx]\n",
+			sb->s_blocksize,
 			sbi->s_groups_count,
 			EXT3_BLOCKS_PER_GROUP(sb),
 			EXT3_INODES_PER_GROUP(sb),
 			sbi->s_mount_opt);
 
-	printk(KERN_INFO "EXT3 FS " EXT3FS_VERSION ", " EXT3FS_DATE " on %s, ",
-				sb->s_id);
+	printk(KERN_INFO "EXT3 FS on %s, ", sb->s_id);
 	if (EXT3_SB(sb)->s_journal->j_inode == NULL) {
 		char b[BDEVNAME_SIZE];
 
diff -puN include/linux/ext3_fs.h~ext3-remove-version include/linux/ext3_fs.h
--- 25/include/linux/ext3_fs.h~ext3-remove-version	2003-06-27 16:32:31.000000000 -0700
+++ 25-akpm/include/linux/ext3_fs.h	2003-06-27 16:32:36.000000000 -0700
@@ -39,12 +39,6 @@ struct statfs;
 #define EXT3_DEFAULT_PREALLOC_BLOCKS	8
 
 /*
- * The second extended file system version
- */
-#define EXT3FS_DATE		"02 Dec 2001"
-#define EXT3FS_VERSION		"2.4-0.9.16"
-
-/*
  * Always enable hashed directories
  */
 #define CONFIG_EXT3_INDEX

_
